#include <bits/stdc++.h>
using namespace std;
int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n;
cin>>n;
cout<<"6"<<endl;
cout<<"0 2"<<endl;
cout<<"0 1"<<endl;
cout<<"0 0"<<endl;
cout<<"1 0"<<endl;
cout<<"1 1"<<endl;
cout<<"1 2"<<endl;
cout<<"2 0"<<endl;
return 0;
}